import $ from 'jquery'
import init from '../init'
import Util from '../TestUtil'

describe('modelbase测试', () => {
  let vm = null
  before(()=> {
    init()
    vm = Util.createTest('PlaceControler.vue', {msg: '测试标题'})
  })

  after(function () {
    Util.destroyVM(vm)
  })

  it('组件能够正确显示', () => {
    expect($(vm.$el).html()).to.contain('这是自己')
  })
  it('内含组件能够正确显示', () => {
    expect($(vm.$el).html()).to.contain('Welcom')
  })
  it('组件参数能够正确传递', done => {
    //expect(vm.msg).to.equals('测试标题')
    vm.$nextTick(()=> {
      expect($(vm.$el).html()).to.contain('测试标题')
      done()
    })
  })
})
